Subject: Doubts in latest GMPLS drafts (GMPLS Functional Specs and GMPLS-CR-LDP)

From: "Manoj Kumar Juneja" <[email-masked]>
Date: Thu, 08 Mar 2001 23:24:08 +0030

Hi All,
       
        I have following doubts in draft "draft-ietf-mpls-generalized-signalling-02.txt : 

   In section 3.3.1, it is written that wavebandId is 32 bits and this value is selected by the sender and reused in all subsequent messages.
I want to know what are all those subsequent messages ? 
Can waveband Label (format : wavebandId, start label, end label) be present in Label Request message ? It is fine that waveband Label to be present in Label Mapping message. I could not find this information even in draft "draft-ietf-mpls-generalized-cr-ldp-01.txt".

Also, How does label request will indicate that a label of type waveband Label is requested in Label request ? Is it based on siganl type ?

One more thing, draft "draft-ietf-mpls-generalized-signalling-02.txt" describes different values for signal types. The values 1-7 are derived from the STM hierarchy. But how the remaining values are 
interpretted (i.e. STM-1 MS, STM-1 RS etc) ? How is STM-4 different from STM-1 MS and STM-1 RS ?
Is STM-1 MS or STM-1 RS a different signal type in SDH ? How does implementation of a control plane for GMPLS differ if it receives the signal type as STM-1/STM-1 MS/STM-1 RS ?

The draft "draft-ietf-mpls-generalized-cr-ldp-01.txt" gives reference to only two messages of LDP viz. Label Request, Label Mapping. What about the other messages like label withdraw and label release. I believe that the generalized label TLV need to be included in these messages too instead of the label TLV.

Please help me in understanding these drafts. 

Regards,
manoj.

Join 18 million Eudora users by signing up for a free Eudora Web-Mail account at http://www.eudoramail.com